Skip to main content
GET
https://app.useduckie.ai
/
api
/
v1
/
runs
/
{run_id}
Retrieve a run
curl --request GET \
  --url https://app.useduckie.ai/api/v1/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.useduckie.ai/api/v1/runs/{run_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.useduckie.ai/api/v1/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "object": "run",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "source": "<string>",
    "duration_seconds": 123,
    "ticket": {
      "id": "<string>",
      "title": "<string>",
      "url": "<string>"
    },
    "agent": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>"
    },
    "category": {
      "id": "<string>",
      "name": "<string>"
    },
    "resolution": {
      "type": "<string>",
      "summary": "<string>"
    },
    "trigger": {
      "event_type": "<string>",
      "source": "<string>",
      "timestamp": "<string>",
      "ticket_status": "<string>",
      "ticket_priority": "<string>",
      "ticket_tags": [
        "<string>"
      ],
      "trigger_message_type": "<string>",
      "internal_notes_only": true,
      "is_messaging_ticket": true,
      "customer_name": "<string>",
      "message_text": "<string>",
      "latest_comment": "<string>"
    },
    "approval": {
      "waiting_for_approval": true,
      "pending": {
        "step_id": "<string>",
        "tool_id": "<string>",
        "tool_name": "<string>",
        "tool_type": "<string>",
        "params": "<unknown>",
        "redacted": true,
        "truncated": true
      }
    },
    "scheduled_resume_at": "2023-11-07T05:31:56Z",
    "conversation": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "order": 123,
        "role": "<string>",
        "user_name": "<string>",
        "message": "<string>",
        "source_timestamp": "<string>",
        "recorded_at": "2023-11-07T05:31:56Z"
      }
    ],
    "steps": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "order": 123,
        "timestamp": "2023-11-07T05:31:56Z",
        "type": "<string>",
        "title": "<string>",
        "content": "<string>",
        "status": "<string>",
        "duration_seconds": 123,
        "tool": {
          "name": "<string>",
          "type": "<string>",
          "input": "<unknown>",
          "output": "<unknown>",
          "redacted": true,
          "truncated": true,
          "error": "<string>"
        }
      }
    ],
    "evaluation_attributes": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "value": "<string>",
        "recorded_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}
{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}

Authorizations

Authorization
string
header
required

API key created in Duckie Settings -> API Access.

Path Parameters

run_id
string<uuid>
required

Response

Run detail.

data
object
required